JspMethodExpression (Tomcat API Documentation)
Keywords: org.apache.jasper.el.JspMethodExpression class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.el
Class JspMethodExpression

    java.lang.Object
      javax.el.Expression
          javax.el.MethodExpression
              org.apache.jasper.el.JspMethodExpression

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public final class JspMethodExpression

extends javax.el.MethodExpression
implements java.io.Externalizable

See Also:
  Serialized Form

Constructor Summary
`JspMethodExpression()`
`JspMethodExpression(java.lang.String mark, javax.el.MethodExpression target)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getExpressionString()`
`javax.el.MethodInfo` | `getMethodInfo(javax.el.ELContext context)`
`int` | `hashCode()`
`java.lang.Object` | `invoke(javax.el.ELContext context, java.lang.Object[] params)`
`boolean` | `isLiteralText()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspMethodExpression

    public JspMethodExpression()

### JspMethodExpression

    public JspMethodExpression(java.lang.String mark,
                               javax.el.MethodExpression target)

Method Detail

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(javax.el.ELContext context)
                                      throws java.lang.NullPointerException,
                                             javax.el.PropertyNotFoundException,
                                             javax.el.MethodNotFoundException,
                                             javax.el.ELException

  Specified by:
    `getMethodInfo` in class `javax.el.MethodExpression`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.MethodNotFoundException`
    `javax.el.ELException`

### invoke

    public java.lang.Object invoke(javax.el.ELContext context,
                                   java.lang.Object[] params)
                            throws java.lang.NullPointerException,
                                   javax.el.PropertyNotFoundException,
                                   javax.el.MethodNotFoundException,
                                   javax.el.ELException

  Specified by:
    `invoke` in class `javax.el.MethodExpression`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.MethodNotFoundException`
    `javax.el.ELException`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `javax.el.Expression`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`

### getExpressionString

    public java.lang.String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.